<#import "template.ftl" as layout>
<@layout.registrationLayout displayInfo=true; section>
  <#if section = "header">
    <h1 class="text-center"><img class="${properties.kcHeaderLogoClass!}" src="${url.resourcesPath}/img/logo.png"></h1>
    <h4 class="text-center">${msg("updatePasswordTitle")}</h4>
  <#elseif section = "form">
    <form id="kc-passwd-update-form" class="${properties.kcFormClass!}" action="${url.loginAction}" method="post">
      <input type="text" id="username" name="username" value="${username}" autocomplete="username" readonly="readonly" style="display:none;"/>
      <input type="password" id="password" name="password" autocomplete="current-password" style="display:none;"/>

      <div class="${properties.kcFormGroupClass!}">
        <div class="${properties.kcLabelWrapperClass!}">
          <label for="password-new" class="${properties.kcLabelClass!}">${msg("passwordNew")}</label>
        </div>
        <div class="${properties.kcInputWrapperClass!}">
          <input
            type="password"
            id="password-new"
            name="password-new"
            class="${properties.kcInputClass!}"
            autofocus
            autocomplete="new-password"
            placeholder="${msg('enterNewPassword')}"
          />
        </div>
      </div>

      <div class="${properties.kcFormGroupClass!}">
        <div class="${properties.kcLabelWrapperClass!}">
          <label for="password-confirm" class="${properties.kcLabelClass!}">${msg("passwordConfirm")}</label>
        </div>
        <div class="${properties.kcInputWrapperClass!}">
          <input
            type="password"
            id="password-confirm"
            name="password-confirm"
            class="${properties.kcInputClass!}"
            autocomplete="new-password"
            placeholder="${msg('enterNewPasswordConfirmation')}"
          />
        </div>
      </div>

      <div class="${properties.kcFormGroupClass!}">
        <div id="kc-form-options" class="${properties.kcFormOptionsClass!}">
          <div class="${properties.kcFormOptionsWrapperClass!}">
          </div>
        </div>

        <div id="kc-form-buttons" class="${properties.kcFormButtonsClass!}">
          <#if isAppInitiatedAction??>
            <input class="${properties.kcButtonClass!} ${properties.kcButtonPrimaryClass!} ${properties.kcButtonLargeClass!}" type="submit" value="${msg("doSubmit")}" />
            <button class="${properties.kcButtonClass!} ${properties.kcButtonDefaultClass!} ${properties.kcButtonLargeClass!}" type="submit" name="cancel-aia" value="true" />${msg("doCancel")}</button>
          <#else>
            <input class="${properties.kcButtonClass!} ${properties.kcButtonPrimaryClass!} ${properties.kcButtonBlockClass!} ${properties.kcButtonLargeClass!}" type="submit" value="${msg("doSubmit")}" />
          </#if>
        </div>
      </div>
    </form>
  </#if>
</@layout.registrationLayout>
